
public class Class515_Sub1_Sub2_Sub1 extends Class515_Sub1_Sub2 implements Interface20 {

   boolean aBool10800 = true;
   Class571 aClass571_10801;
   public Class209 aClass209_10802;
   boolean aBool10803;


   boolean method13411() {
      return this.aBool10800;
   }

   boolean method13394(byte var1) {
      return false;
   }

   boolean method13451(byte var1) {
      return this.aBool10800;
   }

   public int method92() {
      return 452908099 * this.aClass209_10802.anInt2471;
   }

   public int method13418() {
      return this.aClass209_10802.method3575(1990592519);
   }

   public int method13406(int var1) {
      return this.aClass209_10802.method3575(2032251452);
   }

   final void method13430() {
      throw new IllegalStateException();
   }

   void method13402(Class545 var1, int var2) {
      Class568 var3 = this.aClass209_10802.method3558(var1, 262144, true, true, (byte)60);
      if(var3 != null) {
         if(var2 <= 631412612) {
            ;
         }

         Class326 var4 = this.method10913().aClass326_4031;
         int var5 = (int)var4.aFloat4036 >> 9;
         int var6 = (int)var4.aFloat4033 >> 9;
         this.aClass209_10802.method3559(var1, var3, this.method10915(), var5, var5, var6, var6, false, (byte)55);
      }

   }

   boolean method13391(Class545 var1, int var2, int var3, int var4) {
      Class568 var5 = this.aClass209_10802.method3558(var1, 131072, false, false, (byte)75);
      return null == var5?false:var5.method12070(var2, var3, this.method10915(), false, 0);
   }

   public void method90(Class545 var1, int var2) {
      this.aClass209_10802.method3561(var1, 1728495217);
   }

   Class579 method13398(Class545 var1, byte var2) {
      Class568 var3 = this.aClass209_10802.method3558(var1, 2048, false, true, (byte)-59);
      if(null == var3) {
         return null;
      } else {
         Class328 var4 = this.method10915();
         Class325 var5 = this.method10913();
         Class579 var6 = Class212.method3640(this.aBool10803, (byte)-84);
         int var7 = (int)var5.aClass326_4031.aFloat4036 >> 9;
         int var8 = (int)var5.aClass326_4031.aFloat4033 >> 9;
         this.aClass209_10802.method3559(var1, var3, var4, var7, var7, var8, var8, true, (byte)13);
         var3.method12069(var4, this.aClass89Array8446[0], 0);
         if(this.aClass209_10802.aClass528_2484 != null) {
            Class97 var9 = this.aClass209_10802.aClass528_2484.method11119();
            var1.method11711(var9);
         }

         this.aBool10800 = var3.i() || null != this.aClass209_10802.aClass528_2484;
         if(this.aClass571_10801 == null) {
            this.aClass571_10801 = Class225_Sub3.method13342((int)var5.aClass326_4031.aFloat4036, (int)var5.aClass326_4031.aFloat4037, (int)var5.aClass326_4031.aFloat4033, var3, (byte)-98);
         } else {
            Class356_Sub3.method14399(this.aClass571_10801, (int)var5.aClass326_4031.aFloat4036, (int)var5.aClass326_4031.aFloat4037, (int)var5.aClass326_4031.aFloat4033, var3, -1096199879);
         }

         return var6;
      }
   }

   public int method91() {
      return 452908099 * this.aClass209_10802.anInt2471;
   }

   public int method99(int var1) {
      return 1695748883 * this.aClass209_10802.anInt2470;
   }

   final void method13407() {
      throw new IllegalStateException();
   }

   public int method95() {
      return 615620455 * this.aClass209_10802.anInt2472;
   }

   public int method13414() {
      return this.aClass209_10802.method3564(429543844);
   }

   public void method88(byte var1) {}

   public boolean method86(int var1) {
      return this.aClass209_10802.method3560(-575180280);
   }

   boolean method13393() {
      return this.aBool10800;
   }

   public void method85(Class545 var1, int var2) {
      this.aClass209_10802.method3585(var1, 2120957623);
   }

   public Class515_Sub1_Sub2_Sub1(Class241 var1, Class545 var2, Class448 var3, Class445 var4, int var5, int var6, int var7, int var8, int var9, boolean var10, int var11, int var12) {
      super(var1, var7, var8, var9, var5, var6, var4.anInt5561 * 1507401699);
      this.aClass209_10802 = new Class209(var2, var3, var4, -1372814303 * Class458.aClass458_5718.anInt5719, var11, var5, var6, this, var10, var12);
      this.aBool10803 = var4.anInt5544 * -22824303 != 0 && !var10;
      this.method13408(1, -867096999);
   }

   public int method40() {
      return 1695748883 * this.aClass209_10802.anInt2470;
   }

   public int method34() {
      return 1695748883 * this.aClass209_10802.anInt2470;
   }

   public int method29() {
      return 1695748883 * this.aClass209_10802.anInt2470;
   }

   public int method83() {
      return 452908099 * this.aClass209_10802.anInt2471;
   }

   public int method13404(byte var1) {
      return this.aClass209_10802.method3564(-1767897591);
   }

   boolean method13410() {
      return this.aBool10800;
   }

   final boolean method13423(byte var1) {
      return false;
   }

   public int method94() {
      return 615620455 * this.aClass209_10802.anInt2472;
   }

   void method13422(Class545 var1) {
      Class568 var2 = this.aClass209_10802.method3558(var1, 262144, true, true, (byte)10);
      if(var2 != null) {
         Class326 var3 = this.method10913().aClass326_4031;
         int var4 = (int)var3.aFloat4036 >> 9;
         int var5 = (int)var3.aFloat4033 >> 9;
         this.aClass209_10802.method3559(var1, var2, this.method10915(), var4, var4, var5, var5, false, (byte)86);
      }

   }

   public void method96() {}

   public int method89(byte var1) {
      return 452908099 * this.aClass209_10802.anInt2471;
   }

   public void method98() {}

   public boolean method84() {
      return this.aClass209_10802.method3560(-575180280);
   }

   public boolean method100() {
      return this.aClass209_10802.method3560(-575180280);
   }

   public void method101(Class545 var1) {
      this.aClass209_10802.method3561(var1, 1361609779);
   }

   public void method102(Class545 var1) {
      this.aClass209_10802.method3585(var1, 277802531);
   }

   boolean method13426() {
      return false;
   }

   public void method16737(Class469 var1, int var2) {
      this.aClass209_10802.method3556(var1, -1427033673);
   }

   boolean method13409() {
      return false;
   }

   public void method97() {}

   public Class571 method13400(Class545 var1, int var2) {
      return this.aClass571_10801;
   }

   boolean method13431() {
      return this.aBool10800;
   }

   public int method87(int var1) {
      return 615620455 * this.aClass209_10802.anInt2472;
   }

   public int method13415() {
      return this.aClass209_10802.method3564(-816971338);
   }

   public Class571 method13416(Class545 var1) {
      return this.aClass571_10801;
   }

   public int method13417() {
      return this.aClass209_10802.method3575(-697974999);
   }

   public void method16738(Class469 var1) {
      this.aClass209_10802.method3556(var1, -927702123);
   }

   Class579 method13419(Class545 var1) {
      Class568 var2 = this.aClass209_10802.method3558(var1, 2048, false, true, (byte)-42);
      if(null == var2) {
         return null;
      } else {
         Class328 var3 = this.method10915();
         Class325 var4 = this.method10913();
         Class579 var5 = Class212.method3640(this.aBool10803, (byte)-22);
         int var6 = (int)var4.aClass326_4031.aFloat4036 >> 9;
         int var7 = (int)var4.aClass326_4031.aFloat4033 >> 9;
         this.aClass209_10802.method3559(var1, var2, var3, var6, var6, var7, var7, true, (byte)55);
         var2.method12069(var3, this.aClass89Array8446[0], 0);
         if(this.aClass209_10802.aClass528_2484 != null) {
            Class97 var8 = this.aClass209_10802.aClass528_2484.method11119();
            var1.method11711(var8);
         }

         this.aBool10800 = var2.i() || null != this.aClass209_10802.aClass528_2484;
         if(this.aClass571_10801 == null) {
            this.aClass571_10801 = Class225_Sub3.method13342((int)var4.aClass326_4031.aFloat4036, (int)var4.aClass326_4031.aFloat4037, (int)var4.aClass326_4031.aFloat4033, var2, (byte)-74);
         } else {
            Class356_Sub3.method14399(this.aClass571_10801, (int)var4.aClass326_4031.aFloat4036, (int)var4.aClass326_4031.aFloat4037, (int)var4.aClass326_4031.aFloat4033, var2, -2108651049);
         }

         return var5;
      }
   }

   void method13412(Class545 var1) {
      Class568 var2 = this.aClass209_10802.method3558(var1, 262144, true, true, (byte)97);
      if(var2 != null) {
         Class326 var3 = this.method10913().aClass326_4031;
         int var4 = (int)var3.aFloat4036 >> 9;
         int var5 = (int)var3.aFloat4033 >> 9;
         this.aClass209_10802.method3559(var1, var2, this.method10915(), var4, var4, var5, var5, false, (byte)92);
      }

   }

   void method13421(Class545 var1) {
      Class568 var2 = this.aClass209_10802.method3558(var1, 262144, true, true, (byte)-90);
      if(var2 != null) {
         Class326 var3 = this.method10913().aClass326_4031;
         int var4 = (int)var3.aFloat4036 >> 9;
         int var5 = (int)var3.aFloat4033 >> 9;
         this.aClass209_10802.method3559(var1, var2, this.method10915(), var4, var4, var5, var5, false, (byte)82);
      }

   }

   public int method93() {
      return 452908099 * this.aClass209_10802.anInt2471;
   }

   void method13432(Class545 var1) {
      Class568 var2 = this.aClass209_10802.method3558(var1, 262144, true, true, (byte)-12);
      if(var2 != null) {
         Class326 var3 = this.method10913().aClass326_4031;
         int var4 = (int)var3.aFloat4036 >> 9;
         int var5 = (int)var3.aFloat4033 >> 9;
         this.aClass209_10802.method3559(var1, var2, this.method10915(), var4, var4, var5, var5, false, (byte)2);
      }

   }

   boolean method13452(Class545 var1, int var2, int var3) {
      Class568 var4 = this.aClass209_10802.method3558(var1, 131072, false, false, (byte)-14);
      return null == var4?false:var4.method12070(var2, var3, this.method10915(), false, 0);
   }

   final boolean method13447() {
      return false;
   }

   final boolean method13449() {
      return false;
   }

   final boolean method13427() {
      return false;
   }

   final void method13424(Class545 var1, Class515_Sub1 var2, int var3, int var4, int var5, boolean var6, int var7) {
      throw new IllegalStateException();
   }

   final void method13429() {
      throw new IllegalStateException();
   }

   final void method13397(int var1) {
      throw new IllegalStateException();
   }

   final void method13395(Class545 var1, Class515_Sub1 var2, int var3, int var4, int var5, boolean var6) {
      throw new IllegalStateException();
   }

   final void method13396(Class545 var1, Class515_Sub1 var2, int var3, int var4, int var5, boolean var6) {
      throw new IllegalStateException();
   }

   public int method39() {
      return 1695748883 * this.aClass209_10802.anInt2470;
   }

   static final void method16739(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, -122833963);
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var3.anInt1394 * 3843669;
   }

   static void method16740(Class545 var0, int var1, int var2, Class124 var3, int var4, int var5) {
      for(int var6 = 7; var6 >= 0; --var6) {
         for(int var7 = 127; var7 >= 0; --var7) {
            int var8 = (var4 & 63) << 10 | (var6 & 7) << 7 | var7 & 127;
            Class94.method1844(false, true, 1148110543);
            int var9 = Exception_Sub5.anIntArray10376[var8];
            Class8.method657(false, true, (byte)-123);
            var0.B((516053361 * var3.anInt1368 * var7 >> 7) + var1, ((7 - var6) * 437250785 * var3.anInt1383 >> 3) + var2, 1 + (var3.anInt1368 * 516053361 >> 7), (var3.anInt1383 * 437250785 >> 3) + 1, -16777216 | var9, 0);
         }
      }

   }

   static void method16741(int var0, int var1, byte var2) {
      Class225_Sub14_Sub2 var3 = Class49.method1193(16, (long)var0);
      var3.method15502((byte)-102);
      var3.anInt9990 = var1 * -1655449005;
   }
}
